The following is a complete list of currently available API endpoints.
Overview: Users can add products and collections to the website. A user can follow other users, and similarly may be followed by other users of the website.
List all users.
Sample API Request:
curl https://www.boutine.com/api/v1/users.json
Sample JSON Response:
[
{
id: 1,
first_name: "John",
last_name: "Doe",
username: "johndoe",
url: "http://www.boutine.com/johndoe"
},
{
id: 2,
first_name: "Jane",
last_name: "Doe",
username: "janedoe",
url: "http://www.boutine.com/janedoe"
}
]
Get profile of a user.
Sample API Request:
curl https://www.boutine.com/api/v1/users/1.json
Sample JSON Response:
{
id: 1,
first_name: "John",
last_name: "Doe",
username: "johndoe",
url: "http://www.boutine.com/johndoe"
}
List all products managed by a user.
Sample API Request:
curl https://www.boutine.com/api/v1/users/1/store.json
Sample JSON Response:
[
{
id: 1,
title: "Awesome Dress",
description: "This dress is as awesome as its name."
},
{
id: 2,
title: "Shiny Bag",
description: "It shines and it makes you stand out of the crowd!"
}
]
List all collections managed by a user.
Sample API Request:
curl https://www.boutine.com/api/v1/users/1/collections.json
Sample JSON Response:
[
{
id: 1,
title: "Spring Collection",
description: "Everything to make you look good in spring."
},
{
id: 2,
title: "Casual Stuff",
description: "Show them you don't care."
}
]
List all users followed by a user.
Sample API Request:
curl https://www.boutine.com/api/v1/users/1/following.json
Sample JSON Response:
[
{
id: 2,
first_name: "Jane",
last_name: "Doe",
username: "janedoe",
url: "http://www.boutine.com/janedoe"
},
{
id: 3,
first_name: "First",
last_name: "Last",
username: "firstlast",
url: "http://www.boutine.com/firstlast"
}
]
List all users following a user.
Sample API Request:
curl https://www.boutine.com/api/v1/users/1/followers.json
Sample JSON Response:
[
{
id: 2,
first_name: "Jane",
last_name: "Doe",
username: "janedoe",
url: "http://www.boutine.com/janedoe"
},
{
id: 3,
first_name: "First",
last_name: "Last",
username: "firstlast",
url: "http://www.boutine.com/firstlast"
}
]
Overview: Products are added by users of the website and may optionally be included in one or more collections.
List all products.
Sample API Request:
curl https://www.boutine.com/api/v1/products.json
Sample JSON Response:
[
{
id: 1,
title: "Awesome Dress",
description: "This dress is as awesome as its name."
},
{
id: 2,
title: "Shiny Bag",
description: "It shines and it makes you stand out of the crowd!"
}
]
Get a specific product.
Sample API Request:
curl https://www.boutine.com/api/v1/products/1.json
Sample JSON Response:
{
"id": 1,
"title": "Yellow Dress",
"price": 45,
"description": "This is the description of a yellow dress.",
"category_id": 17,
"designer_id": 1,
"product_url": "https://www.boutine.com/products/yellow-dress"
}
Overview: Collections are added by users of the website. They may include one or more products.
List all collections.
Sample API Request:
curl https://www.boutine.com/api/v1/collections.json
Sample JSON Response:
[
{
id: 1,
title: "Spring Collection",
description: "Everything to make you look good in spring."
},
{
id: 2,
title: "Casual Stuff",
description: "Show them you don't care."
}
]
Get a specific collection.
Sample API Request:
curl https://www.boutine.com/api/v1/collections/1.json
Sample JSON Response:
{
id: 1,
title: "Spring Collection",
description: "Everything to make you look good in spring."
}
List all products in a collection.
Sample API Request:
curl https://www.boutine.com/api/v1/collections/1/products.json
Sample JSON Response:
[
{
id: 1,
title: "Awesome Dress",
description: "This dress is as awesome as its name."
},
{
id: 2,
title: "Shiny Bag",
description: "It shines and it makes you stand out of the crowd!"
}
]